Imports System
Imports System.Drawing
Imports System.Windows.Forms
Imports LoksimControl
Imports LoksimUtil
Namespace LoksimClient

	Public Class MainForm
	Inherits System.Windows.Forms.Form
	Private components As System.ComponentModel.IContainer
	Private ButtonAFBUp As System.Windows.Forms.Button
	Private button3 As System.Windows.Forms.Button
	Private LabelActKMH As System.Windows.Forms.Label
	Private statusBar1 As System.Windows.Forms.StatusBar
	Private ButtonSchaltUp As System.Windows.Forms.Button
	Private panel5 As System.Windows.Forms.Panel
	Private LabelSchaltSoll As System.Windows.Forms.Label
	Private label1 As System.Windows.Forms.Label
	Private LabelHLDruck As System.Windows.Forms.Label
	Private label4 As System.Windows.Forms.Label
	Private LabelActSimTime As System.Windows.Forms.Label
	Private ButtonIndusi As System.Windows.Forms.Button
	Private panel3 As System.Windows.Forms.Panel
	Private panel2 As System.Windows.Forms.Panel
	Private panel1 As System.Windows.Forms.Panel
	Private ButtonHauptSchalter As System.Windows.Forms.Button
	Private panel7 As System.Windows.Forms.Panel
	Private panel6 As System.Windows.Forms.Panel
	Private LabelSifa As System.Windows.Forms.Label
	Private panel4 As System.Windows.Forms.Panel
	Private LabelAFBAn As System.Windows.Forms.Label
	Private LabelZylDruck As System.Windows.Forms.Label
	Private buttonSifa As System.Windows.Forms.Button
	Private LabelVMax As System.Windows.Forms.Label
	Private LabelAFBV As System.Windows.Forms.Label
	Private ButtonAFBDown As System.Windows.Forms.Button
	Private ButtonSchaltDown As System.Windows.Forms.Button
	Private timer1 As System.Windows.Forms.Timer
	Private ButtonBremseUp As System.Windows.Forms.Button
	Private LabelHauptschalter As System.Windows.Forms.Label
	Private ButtonBremseDown As System.Windows.Forms.Button
	Private buttonStart As System.Windows.Forms.Button
	Private LabelSchaltIst As System.Windows.Forms.Label
	
		Public Sub New()
			InitializeComponent
			timer1.Interval = 250
			timer1.Enabled = True
		End Sub

		<STAThread()> _
		Public Shared Sub Main(ByVal args As String())
			Application.Run(New MainForm)
		End Sub
		Private Loksim As LoksimControl.ILoksimAutoServer
		Private ActSpeed As Double
		Private LokMaxSpeed As Double
		Private ActSimTime As Double
		Private HauptSchalter As Boolean
		Private AnzeigeSifa As Boolean
		Private SchaltSoll As Double
		Private SchaltIst As Double
		Private HlDruck As Double
		Private ZylinderDruck As Double
		Private AfbStatus As Boolean
		Private AfbZiel As Double

		Private Sub InitializeComponent()
			Me.components = New System.ComponentModel.Container
			Me.LabelSchaltIst = New System.Windows.Forms.Label
			Me.buttonStart = New System.Windows.Forms.Button
			Me.ButtonBremseDown = New System.Windows.Forms.Button
			Me.LabelHauptschalter = New System.Windows.Forms.Label
			Me.ButtonBremseUp = New System.Windows.Forms.Button
			Me.timer1 = New System.Windows.Forms.Timer(Me.components)
			Me.ButtonSchaltDown = New System.Windows.Forms.Button
			Me.ButtonAFBDown = New System.Windows.Forms.Button
			Me.LabelAFBV = New System.Windows.Forms.Label
			Me.LabelVMax = New System.Windows.Forms.Label
			Me.buttonSifa = New System.Windows.Forms.Button
			Me.LabelZylDruck = New System.Windows.Forms.Label
			Me.LabelAFBAn = New System.Windows.Forms.Label
			Me.panel4 = New System.Windows.Forms.Panel
			Me.LabelSifa = New System.Windows.Forms.Label
			Me.panel6 = New System.Windows.Forms.Panel
			Me.panel7 = New System.Windows.Forms.Panel
			Me.ButtonHauptSchalter = New System.Windows.Forms.Button
			Me.panel1 = New System.Windows.Forms.Panel
			Me.panel2 = New System.Windows.Forms.Panel
			Me.panel3 = New System.Windows.Forms.Panel
			Me.ButtonIndusi = New System.Windows.Forms.Button
			Me.LabelActSimTime = New System.Windows.Forms.Label
			Me.label4 = New System.Windows.Forms.Label
			Me.LabelHLDruck = New System.Windows.Forms.Label
			Me.label1 = New System.Windows.Forms.Label
			Me.LabelSchaltSoll = New System.Windows.Forms.Label
			Me.panel5 = New System.Windows.Forms.Panel
			Me.ButtonSchaltUp = New System.Windows.Forms.Button
			Me.statusBar1 = New System.Windows.Forms.StatusBar
			Me.LabelActKMH = New System.Windows.Forms.Label
			Me.button3 = New System.Windows.Forms.Button
			Me.ButtonAFBUp = New System.Windows.Forms.Button
			Me.panel4.SuspendLayout
			Me.panel6.SuspendLayout
			Me.panel7.SuspendLayout
			Me.panel1.SuspendLayout
			Me.panel2.SuspendLayout
			Me.panel3.SuspendLayout
			Me.panel5.SuspendLayout
			Me.SuspendLayout
			'
			'LabelSchaltIst
			'
			Me.LabelSchaltIst.AutoSize = true
			Me.LabelSchaltIst.Location = New System.Drawing.Point(248, 16)
			Me.LabelSchaltIst.Name = "LabelSchaltIst"
			Me.LabelSchaltIst.Size = New System.Drawing.Size(75, 16)
			Me.LabelSchaltIst.TabIndex = 5
			Me.LabelSchaltIst.Text = "LabelSchaltIst"
			'
			'buttonStart
			'
			Me.buttonStart.Location = New System.Drawing.Point(16, 8)
			Me.buttonStart.Name = "buttonStart"
			Me.buttonStart.TabIndex = 1
			Me.buttonStart.Text = "Start"
			AddHandler Me.buttonStart.Click, AddressOf Me.ButtonStartClick
			'
			'ButtonBremseDown
			'
			Me.ButtonBremseDown.Location = New System.Drawing.Point(88, 8)
			Me.ButtonBremseDown.Name = "ButtonBremseDown"
			Me.ButtonBremseDown.Size = New System.Drawing.Size(24, 23)
			Me.ButtonBremseDown.TabIndex = 2
			Me.ButtonBremseDown.Text = "-"
			AddHandler Me.ButtonBremseDown.Click, AddressOf Me.ButtonBremseDownClick
			'
			'LabelHauptschalter
			'
			Me.LabelHauptschalter.AutoSize = true
			Me.LabelHauptschalter.Location = New System.Drawing.Point(128, 16)
			Me.LabelHauptschalter.Name = "LabelHauptschalter"
			Me.LabelHauptschalter.Size = New System.Drawing.Size(102, 16)
			Me.LabelHauptschalter.TabIndex = 1
			Me.LabelHauptschalter.Text = "LabelHauptschalter"
			'
			'ButtonBremseUp
			'
			Me.ButtonBremseUp.Location = New System.Drawing.Point(112, 8)
			Me.ButtonBremseUp.Name = "ButtonBremseUp"
			Me.ButtonBremseUp.Size = New System.Drawing.Size(24, 23)
			Me.ButtonBremseUp.TabIndex = 3
			Me.ButtonBremseUp.Text = "+"
			AddHandler Me.ButtonBremseUp.Click, AddressOf Me.ButtonBremseUpClick
			'
			'timer1
			'
			AddHandler Me.timer1.Tick, AddressOf Me.Timer1Tick
			'
			'ButtonSchaltDown
			'
			Me.ButtonSchaltDown.Location = New System.Drawing.Point(88, 8)
			Me.ButtonSchaltDown.Name = "ButtonSchaltDown"
			Me.ButtonSchaltDown.Size = New System.Drawing.Size(24, 23)
			Me.ButtonSchaltDown.TabIndex = 2
			Me.ButtonSchaltDown.Text = "-"
			AddHandler Me.ButtonSchaltDown.Click, AddressOf Me.ButtonSchaltDownClick
			'
			'ButtonAFBDown
			'
			Me.ButtonAFBDown.Location = New System.Drawing.Point(88, 8)
			Me.ButtonAFBDown.Name = "ButtonAFBDown"
			Me.ButtonAFBDown.Size = New System.Drawing.Size(24, 23)
			Me.ButtonAFBDown.TabIndex = 2
			Me.ButtonAFBDown.Text = "-"
			AddHandler Me.ButtonAFBDown.Click, AddressOf Me.ButtonAFBDownClick
			'
			'LabelAFBV
			'
			Me.LabelAFBV.AutoSize = true
			Me.LabelAFBV.Location = New System.Drawing.Point(248, 16)
			Me.LabelAFBV.Name = "LabelAFBV"
			Me.LabelAFBV.Size = New System.Drawing.Size(62, 16)
			Me.LabelAFBV.TabIndex = 5
			Me.LabelAFBV.Text = "LabelAFBV"
			'
			'LabelVMax
			'
			Me.LabelVMax.AutoSize = true
			Me.LabelVMax.Location = New System.Drawing.Point(128, 8)
			Me.LabelVMax.Name = "LabelVMax"
			Me.LabelVMax.Size = New System.Drawing.Size(61, 16)
			Me.LabelVMax.TabIndex = 1
			Me.LabelVMax.Text = "LabelVMax"
			'
			'buttonSifa
			'
			Me.buttonSifa.Location = New System.Drawing.Point(16, 8)
			Me.buttonSifa.Name = "buttonSifa"
			Me.buttonSifa.Size = New System.Drawing.Size(96, 23)
			Me.buttonSifa.TabIndex = 2
			Me.buttonSifa.Text = "Sifa"
			AddHandler Me.buttonSifa.Click, AddressOf Me.ButtonSifaClick
			'
			'LabelZylDruck
			'
			Me.LabelZylDruck.AutoSize = true
			Me.LabelZylDruck.Location = New System.Drawing.Point(248, 16)
			Me.LabelZylDruck.Name = "LabelZylDruck"
			Me.LabelZylDruck.Size = New System.Drawing.Size(77, 16)
			Me.LabelZylDruck.TabIndex = 5
			Me.LabelZylDruck.Text = "LabelZylDruck"
			'
			'LabelAFBAn
			'
			Me.LabelAFBAn.AutoSize = true
			Me.LabelAFBAn.Location = New System.Drawing.Point(156, 16)
			Me.LabelAFBAn.Name = "LabelAFBAn"
			Me.LabelAFBAn.Size = New System.Drawing.Size(68, 16)
			Me.LabelAFBAn.TabIndex = 4
			Me.LabelAFBAn.Text = "LabelAFBAn"
			'
			'panel4
			'
			Me.panel4.Controls.Add(Me.ButtonIndusi)
			Me.panel4.Controls.Add(Me.buttonSifa)
			Me.panel4.Controls.Add(Me.LabelSifa)
			Me.panel4.Dock = System.Windows.Forms.DockStyle.Top
			Me.panel4.Location = New System.Drawing.Point(0, 112)
			Me.panel4.Name = "panel4"
			Me.panel4.Size = New System.Drawing.Size(376, 40)
			Me.panel4.TabIndex = 6
			'
			'LabelSifa
			'
			Me.LabelSifa.AutoSize = true
			Me.LabelSifa.Location = New System.Drawing.Point(128, 16)
			Me.LabelSifa.Name = "LabelSifa"
			Me.LabelSifa.Size = New System.Drawing.Size(52, 16)
			Me.LabelSifa.TabIndex = 1
			Me.LabelSifa.Text = "LabelSifa"
			'
			'panel6
			'
			Me.panel6.Controls.Add(Me.LabelZylDruck)
			Me.panel6.Controls.Add(Me.LabelHLDruck)
			Me.panel6.Controls.Add(Me.ButtonBremseUp)
			Me.panel6.Controls.Add(Me.ButtonBremseDown)
			Me.panel6.Controls.Add(Me.label4)
			Me.panel6.Dock = System.Windows.Forms.DockStyle.Top
			Me.panel6.Location = New System.Drawing.Point(0, 192)
			Me.panel6.Name = "panel6"
			Me.panel6.Size = New System.Drawing.Size(376, 40)
			Me.panel6.TabIndex = 8
			'
			'panel7
			'
			Me.panel7.Controls.Add(Me.button3)
			Me.panel7.Controls.Add(Me.LabelAFBV)
			Me.panel7.Controls.Add(Me.LabelAFBAn)
			Me.panel7.Controls.Add(Me.ButtonAFBUp)
			Me.panel7.Controls.Add(Me.ButtonAFBDown)
			Me.panel7.Dock = System.Windows.Forms.DockStyle.Top
			Me.panel7.Location = New System.Drawing.Point(0, 232)
			Me.panel7.Name = "panel7"
			Me.panel7.Size = New System.Drawing.Size(376, 40)
			Me.panel7.TabIndex = 9
			'
			'ButtonHauptSchalter
			'
			Me.ButtonHauptSchalter.Location = New System.Drawing.Point(16, 8)
			Me.ButtonHauptSchalter.Name = "ButtonHauptSchalter"
			Me.ButtonHauptSchalter.Size = New System.Drawing.Size(96, 23)
			Me.ButtonHauptSchalter.TabIndex = 2
			Me.ButtonHauptSchalter.Text = "Hauptschalter"
			AddHandler Me.ButtonHauptSchalter.Click, AddressOf Me.ButtonHauptSchalterClick
			'
			'panel1
			'
			Me.panel1.Controls.Add(Me.buttonStart)
			Me.panel1.Dock = System.Windows.Forms.DockStyle.Top
			Me.panel1.Location = New System.Drawing.Point(0, 0)
			Me.panel1.Name = "panel1"
			Me.panel1.Size = New System.Drawing.Size(376, 40)
			Me.panel1.TabIndex = 2
			'
			'panel2
			'
			Me.panel2.Controls.Add(Me.LabelActSimTime)
			Me.panel2.Controls.Add(Me.LabelVMax)
			Me.panel2.Controls.Add(Me.LabelActKMH)
			Me.panel2.Dock = System.Windows.Forms.DockStyle.Top
			Me.panel2.Location = New System.Drawing.Point(0, 40)
			Me.panel2.Name = "panel2"
			Me.panel2.Size = New System.Drawing.Size(376, 32)
			Me.panel2.TabIndex = 4
			'
			'panel3
			'
			Me.panel3.Controls.Add(Me.ButtonHauptSchalter)
			Me.panel3.Controls.Add(Me.LabelHauptschalter)
			Me.panel3.Dock = System.Windows.Forms.DockStyle.Top
			Me.panel3.Location = New System.Drawing.Point(0, 72)
			Me.panel3.Name = "panel3"
			Me.panel3.Size = New System.Drawing.Size(376, 40)
			Me.panel3.TabIndex = 5
			'
			'ButtonIndusi
			'
			Me.ButtonIndusi.Location = New System.Drawing.Point(240, 8)
			Me.ButtonIndusi.Name = "ButtonIndusi"
			Me.ButtonIndusi.Size = New System.Drawing.Size(112, 23)
			Me.ButtonIndusi.TabIndex = 3
			Me.ButtonIndusi.Text = "Indusi Wachsam"
			AddHandler Me.ButtonIndusi.Click, AddressOf Me.ButtonIndusiClick
			'
			'LabelActSimTime
			'
			Me.LabelActSimTime.AutoSize = true
			Me.LabelActSimTime.Location = New System.Drawing.Point(240, 8)
			Me.LabelActSimTime.Name = "LabelActSimTime"
			Me.LabelActSimTime.Size = New System.Drawing.Size(93, 16)
			Me.LabelActSimTime.TabIndex = 2
			Me.LabelActSimTime.Text = "LabelActSimTime"
			'
			'label4
			'
			Me.label4.AutoSize = true
			Me.label4.Location = New System.Drawing.Point(16, 16)
			Me.label4.Name = "label4"
			Me.label4.Size = New System.Drawing.Size(43, 16)
			Me.label4.TabIndex = 1
			Me.label4.Text = "Bremse"
			'
			'LabelHLDruck
			'
			Me.LabelHLDruck.AutoSize = true
			Me.LabelHLDruck.Location = New System.Drawing.Point(156, 16)
			Me.LabelHLDruck.Name = "LabelHLDruck"
			Me.LabelHLDruck.Size = New System.Drawing.Size(76, 16)
			Me.LabelHLDruck.TabIndex = 4
			Me.LabelHLDruck.Text = "LabelHLDruck"
			'
			'label1
			'
			Me.label1.AutoSize = true
			Me.label1.Location = New System.Drawing.Point(16, 16)
			Me.label1.Name = "label1"
			Me.label1.Size = New System.Drawing.Size(60, 16)
			Me.label1.TabIndex = 1
			Me.label1.Text = "Schaltwerk"
			'
			'LabelSchaltSoll
			'
			Me.LabelSchaltSoll.AutoSize = true
			Me.LabelSchaltSoll.Location = New System.Drawing.Point(156, 16)
			Me.LabelSchaltSoll.Name = "LabelSchaltSoll"
			Me.LabelSchaltSoll.Size = New System.Drawing.Size(83, 16)
			Me.LabelSchaltSoll.TabIndex = 4
			Me.LabelSchaltSoll.Text = "LabelSchaltSoll"
			'
			'panel5
			'
			Me.panel5.Controls.Add(Me.LabelSchaltIst)
			Me.panel5.Controls.Add(Me.LabelSchaltSoll)
			Me.panel5.Controls.Add(Me.ButtonSchaltUp)
			Me.panel5.Controls.Add(Me.ButtonSchaltDown)
			Me.panel5.Controls.Add(Me.label1)
			Me.panel5.Dock = System.Windows.Forms.DockStyle.Top
			Me.panel5.Location = New System.Drawing.Point(0, 152)
			Me.panel5.Name = "panel5"
			Me.panel5.Size = New System.Drawing.Size(376, 40)
			Me.panel5.TabIndex = 7
			'
			'ButtonSchaltUp
			'
			Me.ButtonSchaltUp.Location = New System.Drawing.Point(112, 8)
			Me.ButtonSchaltUp.Name = "ButtonSchaltUp"
			Me.ButtonSchaltUp.Size = New System.Drawing.Size(24, 23)
			Me.ButtonSchaltUp.TabIndex = 3
			Me.ButtonSchaltUp.Text = "+"
			AddHandler Me.ButtonSchaltUp.Click, AddressOf Me.ButtonSchaltUpClick
			'
			'statusBar1
			'
			Me.statusBar1.Location = New System.Drawing.Point(0, 295)
			Me.statusBar1.Name = "statusBar1"
			Me.statusBar1.Size = New System.Drawing.Size(376, 22)
			Me.statusBar1.TabIndex = 3
			Me.statusBar1.Text = "Status"
			'
			'LabelActKMH
			'
			Me.LabelActKMH.AutoSize = true
			Me.LabelActKMH.Location = New System.Drawing.Point(16, 8)
			Me.LabelActKMH.Name = "LabelActKMH"
			Me.LabelActKMH.Size = New System.Drawing.Size(73, 16)
			Me.LabelActKMH.TabIndex = 0
			Me.LabelActKMH.Text = "LabelActKMH"
			'
			'button3
			'
			Me.button3.Location = New System.Drawing.Point(8, 8)
			Me.button3.Name = "button3"
			Me.button3.Size = New System.Drawing.Size(72, 23)
			Me.button3.TabIndex = 6
			Me.button3.Text = "AFB an/aus"
			AddHandler Me.button3.Click, AddressOf Me.Button3Click
			'
			'ButtonAFBUp
			'
			Me.ButtonAFBUp.Location = New System.Drawing.Point(112, 8)
			Me.ButtonAFBUp.Name = "ButtonAFBUp"
			Me.ButtonAFBUp.Size = New System.Drawing.Size(24, 23)
			Me.ButtonAFBUp.TabIndex = 3
			Me.ButtonAFBUp.Text = "+"
			AddHandler Me.ButtonAFBUp.Click, AddressOf Me.ButtonAFBUpClick
			'
			'MainForm
			'
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(376, 317)
			Me.Controls.Add(Me.panel7)
			Me.Controls.Add(Me.panel6)
			Me.Controls.Add(Me.panel5)
			Me.Controls.Add(Me.panel4)
			Me.Controls.Add(Me.panel3)
			Me.Controls.Add(Me.panel2)
			Me.Controls.Add(Me.statusBar1)
			Me.Controls.Add(Me.panel1)
			Me.Name = "MainForm"
			Me.Text = "MainForm"
			Me.panel4.ResumeLayout(false)
			Me.panel6.ResumeLayout(false)
			Me.panel7.ResumeLayout(false)
			Me.panel1.ResumeLayout(false)
			Me.panel2.ResumeLayout(false)
			Me.panel3.ResumeLayout(false)
			Me.panel5.ResumeLayout(false)
			Me.ResumeLayout(false)
		End Sub

		Sub ButtonStartClick(ByVal sender As Object, ByVal e As System.EventArgs)
			Loksim = New LoksimControl.LoksimAutoServerClass
		End Sub

		Sub Timer1Tick(ByVal sender As Object, ByVal e As System.EventArgs)
			timer1.Enabled = False
			If Not (Loksim is Nothing) Then
				Loksim.StartWaitForCommands(500)
				If Loksim.LoksimIsRunning Then
					If Loksim.SimulationIsRunning Then
						statusBar1.Text = "Alles ok"
						Dim Params As String = ""
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_COMMON_ACTSPEED)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_COMMON_MAXSPEED)
						LoksimHelper.AddParam(Params, LoksimHelper.cSIM_COMMON_SIMTIME)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_ANZEIGE_HAUPTSCHALTER)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_ANZEIGE_SIFA)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_INSTRUMENT_SOLLSTUFE)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_INSTRUMENT_ISTSTUFE)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_INSTRUMENT_BREMSDRUCK)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_INSTRUMENT_BREMSZYLINDERDRUCK)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_ANZEIGE_AFB)
						LoksimHelper.AddParam(Params, LoksimHelper.cLOK_INSTRUMENT_AFB)
						Dim RetParams As String = Loksim.GetSimData(Params)
						ActSpeed = LoksimHelper.GetParamFloat(RetParams, LoksimHelper.cLOK_COMMON_ACTSPEED)
						HauptSchalter = LoksimHelper.GetParamBool(RetParams, LoksimHelper.cLOK_ANZEIGE_HAUPTSCHALTER)
						LokMaxSpeed = LoksimHelper.GetParamFloat(RetParams, LoksimHelper.cLOK_COMMON_MAXSPEED)
						ActSimTime = LoksimHelper.GetParamFloat(RetParams, LoksimHelper.cSIM_COMMON_SIMTIME)
						HauptSchalter = LoksimHelper.GetParamBool(RetParams, LoksimHelper.cLOK_ANZEIGE_HAUPTSCHALTER)
						AnzeigeSifa = LoksimHelper.GetParamBool(RetParams, LoksimHelper.cLOK_ANZEIGE_SIFA)
						SchaltSoll = LoksimHelper.GetParamFloat(RetParams, LoksimHelper.cLOK_INSTRUMENT_SOLLSTUFE)
						SchaltIst = LoksimHelper.GetParamFloat(RetParams, LoksimHelper.cLOK_INSTRUMENT_ISTSTUFE)
						HlDruck = LoksimHelper.GetParamFloat(RetParams, LoksimHelper.cLOK_INSTRUMENT_BREMSDRUCK)
						ZylinderDruck = LoksimHelper.GetParamFloat(RetParams, LoksimHelper.cLOK_INSTRUMENT_BREMSZYLINDERDRUCK)
						AfbStatus = LoksimHelper.GetParamBool(RetParams, LoksimHelper.cLOK_ANZEIGE_AFB)
						AfbZiel = LoksimHelper.GetParamFloat(RetParams, LoksimHelper.cLOK_INSTRUMENT_AFB)
					Else
						statusBar1.Text = "Simulation luft nicht oder pausiert"
					End If
				Else
					statusBar1.Text = "Loksim luft nicht -> Loksim starten"
				End If
				Loksim.StopWaitForCommands
			Else
				statusBar1.Text = "Ole-Server nicht gestartet -> Drcken sie Start"
			End If
			If HauptSchalter Then
				LabelHauptschalter.Text = "An"
			Else
				LabelHauptschalter.Text = "Aus"
			End If
			LabelActKMH.Text = "V: " + ActSpeed.ToString
			LabelVMax.Text = "Vmax: " + LokMaxSpeed.ToString
			LabelActSimTime.Text = "ActSimTime: " + ActSimTime.ToString
			If AnzeigeSifa Then
				LabelSifa.Text = "Lampe AN"
			Else
				LabelSifa.Text = "Lampe AUS"
			End If
			LabelSchaltSoll.Text = "Soll: " + SchaltSoll.ToString
			LabelSchaltIst.Text = "Ist: " + SchaltIst.ToString
			LabelHLDruck.Text = "HLDruck: " + HlDruck.ToString
			LabelZylDruck.Text = "Zyl.Druck: " + ZylinderDruck.ToString
			If AfbStatus Then
				LabelAFBAn.Text = "AFB AN"
			Else
				LabelAFBAn.Text = "AFB AUS"
			End If
			LabelAFBV.Text = "AFB-Ziel: " + AfbZiel.ToString
			timer1.Enabled = True
		End Sub

		Sub ButtonHauptSchalterClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_HAUPTSCHALTER)
			End If
		End Sub

		Sub ButtonSifaClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_SIFA)
			End If
		End Sub

		Sub ButtonIndusiClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_INDUSI)
			End If
		End Sub

		Sub ButtonSchaltDownClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_STDOWN)
			End If
		End Sub

		Sub ButtonSchaltUpClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_STUP)
			End If
		End Sub

		Sub ButtonBremseDownClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_BREMSEN1)
			End If
		End Sub

		Sub ButtonBremseUpClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_BREMSEN7)
			End If
		End Sub

		Sub Button3Click(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_AFB)
			End If
		End Sub

		Sub ButtonAFBDownClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_STLEFT)
			End If
		End Sub

		Sub ButtonAFBUpClick(ByVal sender As Object, ByVal e As System.EventArgs)
			If Not (Loksim is Nothing) Then
				Loksim.SendKey(LoksimHelper.KEY_STRIGHT)
			End If
		End Sub
	End Class 
End Namespace
